<template>
    <div :class="classImg" class="overflow-auto">             
        <div class="modal-dialog text-center">
            <div class="col-sm-15 main-section">
                <div class="modal-content overflow-auto">
                    <br>
                    <h3 class="mb-4">{{ title }}</h3>
                    
                    <div class="slot-form" v-if="tab == 1">
                        <slot name="tab-1"></slot>
                        <div class="d-grid gap-2 d-md-block btns">
                            <button
                                type="button" 
                                class="btn btn-primary btn1"
                                @click="back()"
                            >
                                Volver
                            </button>
                            <button 
                                type="button"
                                class="btn btn-primary btn2" 
                                @click="toTab2()"
                            >
                                Siguiente
                            </button>
                        </div>
                        <br>
                        <br>
                    </div>
                        
                    <div v-else>
                        <slot name="tab-2"></slot>
                        <div class="d-grid gap-2 d-md-block btns">
                            <button 
                                class="btn btn-primary btn1" 
                                @click="tab = 1" 
                                type="button"
                            >
                                Volver
                            </button>
                            <button 
                                class="btn btn-primary btn2" 
                                type="button"
                                @click="save()"
                            >
                                Guardar
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <footer class="main-footer footerR">
            <h6>
                © Copyright 2021 | DIGIDOCS | Solumáticas GRM | Todos los derechos reservados |
            </h6>
        </footer>
    </div>
</template>

<script>
export default {
    
    props: {
        title: {
            type: String,
            default: "title form"
        },
        classImg: {
            type: String,
            default: ""
        },
        redirectTab: {
            type: Number,
            default: 0
        },
        formFirstTabIsValid: {
            type: Function,
            default: () => {}
        }
    },

    data: () => {
        return {
            tab: 1,
        }
    },

    watch: {
        redirectTab: function (val) {
            if (val == 1) this.tab = 1;
            if (val == 2) this.tab = 2;
        },
    },

    methods: {
        back() {
            this.$router.push({ name: 'registro' });
        },

        toTab2() {

            if (this.formFirstTabIsValid()) {
                this.tab = 2;
            }
        },

        save() {
            this.$emit('save');
        }
    }
}
</script>